Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
newslist.php File Reference

Go to the source code of this file.

## Variables
| $ini = eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZNewsFeedMain", "Language" )
| $t
| $category = new eZNewsCategory( $CategoryID )
| $firstNewsList =& $category->newsList( "time", "no", 0, 1 )
| $newsList =& $category->newsList( "time", "no", 1, 4 )
| $shortNewsList =& $category->newsList( "time", "no", 5, 10 )
| $locale = new eZLocale( $Language )
if(count( $firstNewsList) > 0) | $i =0
if( $GenerateStaticPage=="true") | else

## Variable Documentation

## ◆ $category

$category = new eZNewsCategory( $CategoryID )

Definition at line 53 of file newslist.php.

## ◆ $firstNewsList

$firstNewsList =& $category->newsList( "time", "no", 0, 1 )

Definition at line 59 of file newslist.php.

## ◆ $i

if (count($firstNewsList) > 0) $i =0

Definition at line 85 of file newslist.php.

## ◆ $ini

$ini = eZINI::instance( 'site.ini' )

Definition at line 35 of file newslist.php.

## ◆ $Language

$Language = $ini->variable( "eZNewsFeedMain", "Language" )

Definition at line 37 of file newslist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 67 of file newslist.php.

## ◆ $newsList

$newsList =& $category->newsList( "time", "no", 1, 4 )

Definition at line 62 of file newslist.php.

## ◆ $shortNewsList

$shortNewsList =& $category->newsList( "time", "no", 5, 10 )

Definition at line 65 of file newslist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eznewsfeed/user/" . $ini->variable( "eZNewsFeedMain", "TemplateDir" ),
"kernel/eznewsfeed/user/intl/", $Language, "newslist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: newslist.php:37
$ini
$ini
Definition: newslist.php:35

Definition at line 39 of file newslist.php.

## ◆ else

if ($GenerateStaticPage=="true") else

Initial value:
{
$t->pparse( "output", "news_archive_page_tpl" )
$t
$t
Definition: newslist.php:39

Definition at line 151 of file newslist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.